Summary: e-smith module to configure tinydns
%define name e-smith-tinydns
Name: %{name}
%define version 0.4.0
%define release 01
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: e-smith-base
Requires: djbdns
Requires: e-smith-lib >= 1.13.1-09
Requires: e-smith-daemontools >= 1.1.0-02
Requires: iptables
Obsoletes: tinydns-initscripts
AutoReqProv: no

%changelog
* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [0.4.0-01]
- Changing version to stable stream number - 0.4.0

* Wed Jun 25 2003 Charlie Brady <charlieb@e-smith.com>
- [0.3.5-05]
- Various fixes to 00functions fragment of tinydns data file. Eliminate
  duplicate records for local domain. Fix non-empty output of fragment.
  Re-organise. [charlieb 9169]

* Wed Jun  4 2003 Charlie Brady <charlieb@e-smith.com>
- [0.3.5-04]
- Add Requires header to ensure that %pre script can run. [charlieb 6033]

* Tue Jun  3 2003 Charlie Brady <charlieb@e-smith.com>
- [0.3.5-03]
- Change %pre script which creates required userid, so that it uses
  preferred userids. [charlieb 6033]

* Mon Jun  2 2003 Charlie Brady <charlieb@e-smith.com>
- [0.3.5-02]
- Remove deprecated LocalDomainPrefix handling. [charlieb 4812]

* Thu Apr 10 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.3.5-01]
- Clean out handling of domains now in domains db [gordonr 8097]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.4-15]
- Also use plain A records for domain entries [gordonr 4058]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.4-14]
- Use A, not A/PTR records for the hostname aliases [gordonr 4058]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.4-13]
- Renamed conf-tinydns{,-startup} to tinydns-conf{,-startup} to match
  tinydns-restart [gordonr 4058]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.4-12]
- Added use esmith::util to tinydns-restart [gordonr 4058]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.4-11]
- Standardised log/run script with mailfront/qmail/etc. [gordonr 4058]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.4-10]
- Add missing pipe in genfilelist call so sticky bit preserverved
  on /var/service/tinydns [gordonr 4058]

* Wed Dec  4 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.4-09]
- Add name server record for local reverse domain. [charlieb 4058]

* Tue Dec  3 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.4-08]
- Add sticky bit to tinydns service directory, so that svscan starts logging.
  [charlieb 4058]

* Thu Nov 21 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.4-07]
- Remove bogus reverse DNS records from tinydns/root/data template - the
  correct records are implicit in "=" records. [charlieb 4058]
- Remove A records for generic hostnames from all except the primary domain.
  This change is provisional - we will need to discuss the implications of
  doing this. [charlieb 5805]

* Wed Nov 20 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.4-06]
- Eliminate use of deprecated db_get_prop from templates for env files.
  [charlieb 4058]

* Wed Nov 20 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.4-05]
- Create "down" file to prevent scsvan from starting tinydns at initial
  boot time (before it is configured), and add rc7.d symlink to bring
  it up after bootstrap console runs. [charlieb 4058]

* Fri Nov 15 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.4-04]
- Change default listen address to 127.0.0.1 [charlieb 4058]
- Hide irrelevant output in %pre script.

* Wed Nov 13 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.4-03]
- Add %pre actions to create dns and dnslog users if required.
- Move root/data templates into correct directory and change
  conf-tinydns action script accordingly.
- Create ROOT environment file required by tinydns
- Create /service symlink.
- Remove requirement on e-smith-packetfilter.
- All changes done to get into running state. [charlieb 4058]

* Tue Nov 12 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.4-02]
- Add template fragments for local domain tinydns configuration (from
  Zac's e-smith-djbdns contrib). [charlieb 4058]
- Convert all code to use current preferred APIs. [charlieb 4058]
- Update Copyright notices in action scripts.
- Change Copyright RPM header to License.
- Remove masq template fragment as we now use connection tracking.
  [charlieb 4499]

* Tue Jul 23 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.4-01]
- Convert packet filter fragment to iptables syntax [charlieb 1268]

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.3-01]
- RPM rebuild forced by cvsroot2rpm

* Mon Mar 18 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.2-01]
- Add missing /var/service/tinydns run scripts.
- Add /var/service/tinydns/root directory.

* Mon Mar 18 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.1-01]
- Rebuild with .../env/IP and .../env/DATASIZE templates included.

* Wed Mar 13 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.0-01]
- Don't use tinydns-conf, instead include files and templates.
- Move config db init to conf-tinydns-startup.
- Remove tinydns-startup script.
- Reorganise %build to create init symlink, and to build log
  directory.

* Wed Mar 13 2002 Charlie Brady <charlieb@e-smith.com>
- [0.2.2-01]
- Fix '' quoting of variable in restart script.
- Remove SL specific code.

* Wed Mar 13 2002 Charlie Brady <charlieb@e-smith.com>
- [0.2.1-01]
- Test build to verify CVS conversion.

* Wed Mar 13 2002 Charlie Brady <charlieb@e-smith.com>
- [0.2.0-01]
- rollRPM: Rolled version number to 0.2.0-01. Includes patches up to 0.1.5-02.
- added mkdir commands to %prep section to create all required empty
  directories.

* Fri Oct 12 2001 Charlie Brady <charlieb@e-smith.com>
- [0.1.5-02]
- Trim changelog previous to 0.1.5-01.

* Fri Oct 12 2001 Charlie Brady <charlieb@e-smith.com>
- [0.1.5-01]
- Rolled version number to 0.1.5-01. Includes patches upto 0.1.4-05.

%description
SME server enhancement to configure and run the tinydns
components of djbdns.

%prep
%setup
mkdir -p root/etc/rc.d/init.d
mkdir -p root/etc/e-smith/events/post-upgrade
mkdir -p root/etc/e-smith/events/post-install
mkdir -p root/etc/e-smith/events/bootstrap-console-save
mkdir -p root/service
mkdir -p root/var/service/tinydns/root
chmod +x root/var/service/tinydns/run
chmod +x root/var/service/tinydns/log/run
chmod +t root/var/service/tinydns
touch root/var/service/tinydns/down
mkdir -p root/etc/rc.d/rc7.d

%build
perl createlinks
ln -s daemontools root/etc/rc.d/init.d/tinydns
ln -s /etc/rc.d/init.d/e-smith-service root/etc/rc.d/rc7.d/S55tinydns
ln -s /var/service/tinydns root/service
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist root | \
    sed -e '/dir.*var.service.tinydns$/s/0755/01755/' \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist
mkdir -p root/var/log/tinydns
echo "%dir %attr(02755,dnslog,dnslog) /var/log/tinydns" \
    >> %{name}-%{version}-%{release}-filelist

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/sbin/e-smith/create-system-user dns 53 "Name server" /var/service/tinydns /bin/false
/sbin/e-smith/create-system-user dnslog 411 "DNS log user" /var/log/tinydns /bin/false
exit 0

%preun

%post

%postun

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
